#include <amxmodx>
#include <amxmisc>
#include <engine>

#define PLUGIN "Day&Night"
#define VERSION "1.0"
#define AUTHOR "GuTeK"


public plugin_init() {
	register_plugin(PLUGIN, VERSION, AUTHOR)
	register_event("HLTV", "newround", "a", "1=0", "2=0")
	register_cvar("amx_daymode", "0")
	register_cvar("amx_days", "1")
	register_cvar("amx_daytime", "60.0")
	register_cvar("amx_nighttime","60.0")
	register_cvar("amx_night2time", "60.0")
	
}
public newround(){
	set_task(0.1, "days")
}
public days(){
	if(get_cvar_num("amx_days") == 1){
		if(get_cvar_num("amx_daymode") == 0)
			day()
		if(get_cvar_num("amx_daymode") == 1)
			day()
		if(get_cvar_num("amx_daymode") == 2)
			night()
		if(get_cvar_num("amx_daymode") == 3)
			night2()
	}
}


public day(){
	set_lights("m") 
	if(get_cvar_num("amx_daymode") == 0){
		set_task(float(get_cvar_num("amx_daytime")),"night")
	}
}
public night(){
	set_lights("c")
	if(get_cvar_num("amx_daymode") == 0){
		set_task(float(get_cvar_num("amx_nighttime")),"night2")
	}
}
public night2(){
	set_lights("b")
	if(get_cvar_num("amx_daymode") == 0){
		set_task(float(get_cvar_num("amx_night2time")),"day")
	}
}